axis-java-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ias" <iasan...@tmax.co.kr>
Subject RE: For Help when compile axis-1_1 using the tool elipse
Date Sat, 03 Jan 2004 07:02:24 GMT
org.apache.axis.components.bridge.COMBridge.java is in
ws-axis/proposals/COMBridge/java. 
Adding <classpathentry kind="src" path="proposals/COMBridge/java"/> to your
.classpath
helps you with the import. (Note that you need not only ws-axis/java but
also ws-axis/proposals from Apache CVS referring to
http://ws.apache.org/axis/cvs.html )
 
Good luck,
 
Ias


  _____  

From: xuliujuan [mailto:xuliujuan@hotmail.com] 
Sent: Saturday, January 03, 2004 3:41 PM
To: axis-dev@ws.apache.org
Subject: Re: For Help when compile axis-1_1 using the tool elipse


I see,thank you.
I am also unable to find the required library for com.ibm.ssl.*;
and  org.apache.axis.components.bridge.COMBridge;  
Do you have some suggestion for where to find the library for import
org.apache.axis.components.bridge.COMBridge;  
  B Rs.
/XuLiujuan

----- Original Message ----- 
From: Ias <mailto:iasandcb@tmax.co.kr>  
To: axis-dev@ws.apache.org 
Sent: Saturday, January 03, 2004 1:55 PM
Subject: RE: For Help when compile axis-1_1 using the tool elipse

<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
is sort of default for a Java project because it contains core Java APIs.
 
The reason why I put <classpathentry
excluding="org/apache/axis/components/net/IBMFakeTrustSocketFactory.java|org
/apache/axis/components/net/IBMJSSESocketFactory.java|org/apache/axis/compon
ents/jms/SonicMQVendorAdapter.java/|org/apache/axis/components/net/SunFakeTr
ustSocketFactory.java|org/apache/axis/components/net/SunJSSESocketFactory.ja
va" kind="src" path="java/src"/> to my .classpath is that I considered those
components unnecessary, hence decided not to deal with them. If you want to
keep them under your Axis project on Eclipse, you need some library that the
components requires. Unfortunately, I have no idea of how I can get the
required library. (That was also one reason I dropped them.)
 
In conclusion, I recommend adding the lines that you don't have to your
.classpath in case there's no (big) concern caused by them. 
 
Happy New Year!
 
Ias



  _____  

From: xuliujuan [mailto:xuliujuan@hotmail.com] 
Sent: Saturday, January 03, 2004 2:08 PM
To: axis-dev@ws.apache.org
Subject: Re: For Help when compile axis-1_1 using the tool elipse


First thank you very much. I have compare the classpath with mine.
I haven't got <classpathentry kind="con"
path="org.elipse.jdt.lauching.JRE_CONAINER"> 
and there is no <classpathentry
excluding="org/apache/axis/components/net/IBMFake........" on the file of my
list 
 Could you tell me the reason?
 B Rs.
/XuLiujuan

----- Original Message ----- 
From: Ias <mailto:iasandcb@tmax.co.kr>  
To: axis-dev@ws.apache.org 
Sent: Saturday, January 03, 2004 11:37 AM
Subject: RE: For Help when compile axis-1_1 using the tool elipse

The attached file is the .classpath file I'm using for ws-axis project with
Eclipse 3.0M5. Of course, I can build ws-axis/java without problem by the
configuration.
 
Hoping it helps you,
 
Ias
 
=========================================================
Lee, Changshin (Korean name)
Ias (International name)
               Company Web Site: http://www.tmax.co.kr
<http://www.tmax.co.kr/> 
               Personal Web Site: http://www.iasandcb.pe.kr
<http://www.iasandcb.pe.kr/> 
---------------------------------------------------------
JSR 201, JSR 204 and JSR 222 EG member
Apache Axis (JAX-RPC and SAAJ) and JaxMe (JAXB) committer
R&D Institute
Tmax Soft, Inc.
========================================================= 
 


  _____  

From: xuliujuan [mailto:xuliujuan@hotmail.com] 
Sent: Saturday, January 03, 2004 11:44 AM
To: axis-dev@ws.apache.org
Subject: For Help when compile axis-1_1 using the tool elipse


Hi all,
  I have difficulty in completely compiling axis-1_1.
Error List:
1.import progress.message.client.*; can't be resolve.That may be caused by
classpath,but I have alreadly import jms.jar. It is said it needs jms
provider's jar. But I don't really know what I should do to it.
2. import com.ibm.net.ssl.*; and import com.ibm.jsse.*; can't be resolved.
Where to download the needed jar?
3. import org.apache.axis.components.bridge.COMBridge; can't be resolved. I
also don't know which jar it needed and which package I should download.
4.In commonsHTTPSender.java there is a error when using
client.getState().setProxyCredentials(..) 
  Could anyone who can help me solve these problems. Thanks a lot.
  Best wishes.
/Xu Liujuan


Mime
View raw message